com.avaya.deskphoneservices

## Class CallStateBroadcaster

- java.lang.Object
- - com.avaya.deskphoneservices.CallStateBroadcaster

- All Implemented Interfaces:
    com.avaya.clientservices.client.ClientListener

      public class CallStateBroadcaster
      extends java.lang.Object
      implements com.avaya.clientservices.client.ClientListener

  fire intent when call state changes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onClientShutdown(com.avaya.clientservices.client.Client client)` Called when the client has shut down.
    `void` | `onClientUserCreated(com.avaya.clientservices.client.Client client, com.avaya.clientservices.user.User user)` Notifies the listener that the specified user has been created.
    `void` | `onClientUserRemoved(com.avaya.clientservices.client.Client client, com.avaya.clientservices.user.User user)` Notifies the listener that the specified user has been removed.
    `void` | `onIdentityCertificateEnrollmentFailed(com.avaya.clientservices.client.Client client, int errorCode, java.lang.String errorType, java.lang.String message)` Notifies the listener that the SCEP conection/enrollment failed.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

  - ### Method Detail

    - #### onClientShutdown

          public void onClientShutdown(com.avaya.clientservices.client.Client client)

      Description copied from interface: `com.avaya.clientservices.client.ClientListener`
      Called when the client has shut down.

      At this point the client is idle and all references to it can be removed.

      Specified by:
        `onClientShutdown` in interface `com.avaya.clientservices.client.ClientListener`
      Parameters:
        `client` - The client that has been shut down.

    - #### onClientUserCreated

          public void onClientUserCreated(com.avaya.clientservices.client.Client client,
                                          com.avaya.clientservices.user.User user)

      Description copied from interface: `com.avaya.clientservices.client.ClientListener`
      Notifies the listener that the specified user has been created.
      Specified by:
        `onClientUserCreated` in interface `com.avaya.clientservices.client.ClientListener`
      Parameters:
        `client` - The client from which the event came from.
        `user` - The created User.

    - #### onClientUserRemoved

          public void onClientUserRemoved(com.avaya.clientservices.client.Client client,
                                          com.avaya.clientservices.user.User user)

      Description copied from interface: `com.avaya.clientservices.client.ClientListener`
      Notifies the listener that the specified user has been removed.
      Specified by:
        `onClientUserRemoved` in interface `com.avaya.clientservices.client.ClientListener`
      Parameters:
        `client` - The client from which the event came from.
        `user` - The removed User.

    - #### onIdentityCertificateEnrollmentFailed

          public void onIdentityCertificateEnrollmentFailed(com.avaya.clientservices.client.Client client,
                                                            int errorCode,
                                                            java.lang.String errorType,
                                                            java.lang.String message)

      Description copied from interface: `com.avaya.clientservices.client.ClientListener`
      Notifies the listener that the SCEP conection/enrollment failed.
      Specified by:
        `onIdentityCertificateEnrollmentFailed` in interface `com.avaya.clientservices.client.ClientListener`
      Parameters:
        `client` - The client from which the event came from.
        `errorCode` - The error code.
        `errorType` - The type of error.
        `message` - The error description.